Scan Barcode
curl --request GET \
--url https://api.decodahealth.com/inventory/barcodes/scan \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/inventory/barcodes/scan"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/inventory/barcodes/scan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"barcode": {
"barcodeValue": "<string>",
"id": "<string>",
"stockId": "<string>",
"description": "<string>",
"supplierToStockUomId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"isArchived": false
},
"stock": {
"name": "<string>",
"id": "<string>",
"description": "<string>",
"notes": "<string>",
"category": "<string>",
"minStockLevel": 123,
"isArchived": false,
"externalId": "<string>"
},
"items": [
{
"stockId": "<string>",
"itemId": "<string>",
"quantityUsed": 123,
"item": {
"name": "<string>",
"price": 123,
"id": "<string>",
"brandName": "<string>",
"description": "<string>",
"category": "<string>",
"isPhysical": true,
"isArchived": false,
"internalNotes": "<string>",
"sortOrder": 123,
"allowCustomPricing": false,
"showInCheckOut": true,
"type": "PRODUCT",
"externalId": "<string>",
"exemptedTaxIds": [
"<string>"
],
"cost": 123,
"cashPrice": 123,
"commissionable": true,
"tags": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"hiddenInPatientPortal": false,
"hiddenInOnlineShop": true,
"loyaltyPointsEarned": 1,
"defaultCptCode": "<string>",
"defaultModifiers": [
"<string>"
],
"defaultIcd10Codes": [
"<string>"
],
"defaultPlaceOfService": "<string>",
"stocks": [
{
"itemId": "<string>",
"stockId": "<string>",
"quantityUsed": 123,
"multiplyByDose": false
}
]
},
"multiplyByDose": false
}
],
"supplierToStockUom": {
"supplierPartNumber": "<string>",
"id": "<string>",
"supplierToStockId": "<string>",
"conversionFactor": 1,
"isDefault": false,
"displayLabel": "<string>",
"price": 123,
"leadTime": 1,
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"isArchived": false
},
"gs1Data": {
"gtin": "<string>",
"lotNumber": "<string>",
"expiryDate": "2023-12-25",
"packagingDate": "2023-12-25",
"serialNumber": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Stock
Scan Barcode
Resolve a scanned barcode to its associated stock item, with cost-gated fields redacted per the caller’s permissions.
GET
/
inventory
/
barcodes
/
scan
Scan Barcode
Headers
The tenant you are making this request on behalf of
Your api key
Query Parameters
Raw barcode string from scanner
Response
Successful Response
Matched barcode record
Show child attributes
Show child attributes
Associated stock
Show child attributes
Show child attributes
Linked items via ItemStock
Show child attributes
Show child attributes
Linked UoM if present
Show child attributes
Show child attributes
Parsed GS1 fields if applicable
Show child attributes
Show child attributes
⌘I
